taffybar-3.2.2: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) José A. Romero L.
License | BSD3-style (see LICENSE)
Maintainer | José A. Romero L. <escherdragon@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.Widget.DiskIOMonitor

Description

Simple Disk IO monitor that uses a PollingGraph to visualize the speed of read/write operations in one selected disk or partition.

Synopsis

- dioMonitorNew :: MonadIO m => GraphConfig -> Double -> String -> m Widget

# Documentation

dioMonitorNew Source #

Arguments

:: MonadIO m |
=> GraphConfig | Configuration data for the Graph.
-> Double | Polling period (in seconds).
-> String | Name of the disk or partition to watch (e.g. "sda", "sdb1").
-> m Widget |

Creates a new disk IO monitor widget. This is a `PollingGraph` fed by regular calls to `getDiskTransfer`. The results of calling this function are normalized to the maximum value of the obtained probe (either read or write transfer).